View Issue Details

IDProjectCategoryView StatusLast Update
0024775mantisbtfilterspublic2019-03-16 20:20
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.18.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0024775: Improve presentation of temporary filters
Description

1) Currently, when the active filter is temporary, there is not any indication that the user can see to be aware of it. If the user follow through individual issues, the previous filter is lost after going again to list view.
2) A temporary filter can be modified, but it will be still kept as temporary. There is not a clear way to "fix" this temporary filter as the persistent filter in use through the project.

TagsNo tags attached.

Relationships

related to 0024549 closedcproensa Permalink - Filter lose information after click on view issues 

Activities

cproensa

cproensa

2018-09-13 19:32

developer   ~0060657

PR https://github.com/mantisbt/mantisbt/pull/1390

mahindra

mahindra

2018-09-14 07:38

reporter   ~0060662

=> if an advanced option is set - is it possible to colorize the menu icon?
I will ask that in 0024775 too
Because if the filter options are collapsed, you are not able to see, that there is an option locked...



filter locked.png (14,858 bytes)
filter locked.png (14,858 bytes)
mahindra

mahindra

2019-01-10 03:17

reporter   ~0061188

Thank you very much!

Related Changesets

MantisBT: master 20116326

2018-09-13 23:10:58

cproensa


Committer: dregad Details Diff
Improve presentation of temporary filters

- Show a visual indication in the filter widget icon when the active
filter is a temporary filter
- Create a filter action to make the current temporary filter a
persistent filter

Fixes: 0024775
Affected Issues
0024775
mod - core/filter_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - lang/strings_english.txt Diff File
mod - view_all_set.php Diff File

MantisBT: master ccae4dce

2019-01-09 15:11:49

dregad

Details Diff
Improve presentation of temporary filters

Merge PR https://github.com/mantisbt/mantisbt/pull/1390

Fixes 0024775, 0024776, 0025109
Affected Issues
0024775, 0024776, 0025109
mod - browser_search_plugin.php Diff File
mod - changelog_page.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/constant_inc.php Diff File
mod - core/filter_api.php Diff File
mod - core/filter_form_api.php Diff File
mod - core/gpc_api.php Diff File
mod - core/print_api.php Diff File
mod - core/summary_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - css/default.css Diff File
mod - js/bugFilter.js Diff File
mod - js/common.js Diff File
mod - lang/strings_english.txt Diff File
mod - main_page.php Diff File
mod - manage_filter_edit_page.php Diff File
mod - roadmap_page.php Diff File
mod - set_project.php Diff File
mod - view_all_inc.php Diff File
mod - view_all_set.php Diff File
mod - view_filters_page.php Diff File

Issue History

Date Modified Username Field Change
2018-09-13 18:50 cproensa New Issue
2018-09-13 18:50 cproensa Status new => assigned
2018-09-13 18:50 cproensa Assigned To => cproensa
2018-09-13 18:51 cproensa Relationship added related to 0024549
2018-09-13 19:32 cproensa Note Added: 0060657
2018-09-14 07:38 mahindra File Added: filter locked.png
2018-09-14 07:38 mahindra Note Added: 0060662
2019-01-09 10:14 dregad Changeset attached => MantisBT master ccae4dce
2019-01-09 10:14 dregad Changeset attached => MantisBT master 20116326
2019-01-09 10:14 dregad Assigned To cproensa => dregad
2019-01-09 10:14 dregad Status assigned => resolved
2019-01-09 10:14 dregad Resolution open => fixed
2019-01-09 10:14 dregad Fixed in Version => 2.20.0
2019-01-09 10:14 cproensa Assigned To dregad => cproensa
2019-01-09 10:30 atrol Target Version => 2.20.0
2019-01-10 03:17 mahindra Note Added: 0061188
2019-03-16 20:20 vboctor Status resolved => closed